complexType "HeldCollateral"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | holdingPartyReference?, postingPartyReference?, paymentAmount?
</...>

Content Model Elements (3):

  holdingPartyReference, paymentAmount (defined in HeldCollateral complexType), | postingPartyReference

All Direct / Indirect Based Elements (2):

  heldCollateral (defined in MarginCollateral complexType), | heldCollateral (defined in MarginCollateral complexType)

Known Usage Locations

- As direct type of elements (2):

  heldCollateral (defined in MarginCollateral complexType), | heldCollateral (defined in MarginCollateral complexType)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="HeldCollateral"> <xsd:sequence> <xsd:element minOccurs="0" name="holdingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="postingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
holdingPartyReference

  Type: | PartyReference, empty content

  The party holding the collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="holdingPartyReference" type="PartyReference"/>

paymentAmount

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="Money"/>

postingPartyReference

  Type: | PartyReference, empty content

  The party posting the collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="postingPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.